#!/bin/bash
#
######################################################################
#
#	uninstall.no.catalina.update.red.badge.launchagent.sh
#
#	Samuel Herschbein
#	sam@SamIsIT.com
#	sherschbein@me.com
#
#	Details and Revision History are in README.txt
#
######################################################################
#
#	Get the script's name
thisScriptName="${0##*/}"
#
#	Script must be run with sudo.
[[ "$(whoami)" != "root" ]]&& { printf "$thisScriptName must be run with sudo.\n\n"; exit; }
#
#	Unload LaunchAgent if running.
[[ "$(sudo launchctl print system | grep 'com.samisit.no.catalina.update.red.badge' | awk '{print $3}')" != "" ]] && sudo launchctl bootout system /Library/LaunchAgents/com.samisit.no.catalina.update.red.badge.plist
#
#	Remove the plist.
[[ -f "/Library/LaunchAgents/com.samisit.no.catalina.update.red.badge.plist" ]] && sudo rm "/Library/LaunchAgents/com.samisit.no.catalina.update.red.badge.plist"
#
printf "\nUninstalled com.samisit.no.catalina.update.red.badge.\n\n"
#
